Proxy POST request to connected app account
curl --request POST \
--url https://app.kapso.ai/api/v1/app_accounts/{account_id}/proxy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"url": "https://slack.com/api/chat.postMessage",
"channel": "C123",
"text": "Hello from Kapso!"
}
'import requests
url = "https://app.kapso.ai/api/v1/app_accounts/{account_id}/proxy"
payload = {
"url": "https://slack.com/api/chat.postMessage",
"channel": "C123",
"text": "Hello from Kapso!"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://slack.com/api/chat.postMessage',
channel: 'C123',
text: 'Hello from Kapso!'
})
};
fetch('https://app.kapso.ai/api/v1/app_accounts/{account_id}/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"channel": "C123",
"ts": "1234567890.123456"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Insufficient credits for proxy requests. Please add credits to continue."
}{
"error": "Resource not found",
"status": 404,
"message": "The requested resource could not be found"
}{
"error": "Proxy request failed"
}App Accounts Proxy
Proxy POST request to connected app account
Makes a POST request to an external API on behalf of a connected app account. The Pipedream proxy handles OAuth credential injection and forwards the request with the provided body to the target API endpoint.
POST
/
app_accounts
/
{account_id}
/
proxy
Proxy POST request to connected app account
Authorizations
API key required for all endpoints
Headers
Alternative way to specify target URL via header
Example:
"https://slack.com/api/chat.postMessage"
Custom headers to forward to the target API. Use X-PD-Proxy- prefix. Example: X-PD-Proxy-Content-Type will be forwarded as Content-Type
Path Parameters
The Pipedream account ID for the connected app
Example:
"apn_1234567"
Body
application/jsonapplication/x-www-form-urlencoded
The target API endpoint URL
Example:
"https://slack.com/api/chat.postMessage"
Response
Successful proxy request
Response from the target API
⌘I

